name='fastfetch'
version='2.16.0'
release='1'
desc='Fastfetch is a neofetch-like tool for fetching system information and displaying them in a pretty way. It is written mainly in C, with performance and customizability in mind. Currently, Linux, Android, FreeBSD, MacOS and Windows 7+ are supported.'
homepage='https://github.com/fastfetch-cli/fastfetch'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('all')
license=('MIT')
provides=('fastfetch')
conflicts=('fastfetch' 'fastfetch-git')

sources=("https://github.com/fastfetch-cli/fastfetch/archive/refs/tags/${version}.tar.gz")
checksums=('SKIP')

build() {
    cd $srcdir/$name-$version
    cmake -DCMAKE_BUILD_TYPE=Release
    cmake --build . --target fastfetch -j$(nproc)
    }
package() {
    cd $srcdir/$name-$version
    install-binary ./fastfetch
    install-license ./LICENSE  fastfetch/LICENSE
    }